보유 전화번호
보유 전화번호 통신서비스 이용증명원 발급 요청
조직이 보유한 전화번호의 통신서비스 이용증명원 발급 요청을 생성합니다. 사용자를 같은 탭에서 verification_url로 이동시켜 본인인증을 완료하도록 하세요. URL은 30분간 유효합니다. 발급이 끝나면 GET /v3/files/{file_key}/content로 PDF를 내려받습니다. 발급 전에는 해당 엔드포인트가 404를 반환합니다.
POST
/
organization-telephone-numbers
/
{organization_telephone_number_id}
/
certificate
보유 전화번호 통신서비스 이용증명원 발급 요청
curl --request POST \
--url https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id}/certificate \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id}/certificate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id}/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification_url": "<string>",
"file_key": "<string>",
"expires_at": 123
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 10,
"window_seconds": 1,
"scope": "user"
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Headers
같은 POST 요청을 24시간 동안 안전하게 재시도하기 위한 선택적 멱등성 키입니다. 지정할 경우 비어 있으면 안 되며 최대 255자까지 허용합니다.
Path Parameters
조직 보유 전화번호 ID입니다. 전화번호 문자열이 아니라 GET /v3/organization-telephone-numbers 응답의 id를 사용합니다.
Was this page helpful?
⌘I
보유 전화번호 통신서비스 이용증명원 발급 요청
